gloox::Jingle Namespace Reference

## Classes

class | Content
class | FileTransfer
class | ICEUDP
class | Plugin
class | PluginFactory
class | Session
class | SessionHandler
class | SessionManager

## Typedefs

typedef std::list< const Plugin * > | PluginList

## Enumerations

enum | JinglePluginType { PluginNone , PluginContent , PluginFileTransfer , PluginICEUDP , PluginReason , PluginUser }
enum | Action { ContentAccept , ContentAdd , ContentModify , ContentReject , ContentRemove , DescriptionInfo , SecurityInfo , SessionAccept , SessionInfo , SessionInitiate , SessionTerminate , TransportAccept , TransportInfo , TransportReject , TransportReplace , InvalidAction }

## Detailed Description

The namespace containing Jingle-related (XEP-0166 et. al.) classes.

See SessionManager for more information about Jingle in gloox.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  1.0.5

## Typedef Documentation

## PluginList

typedef std::list<const Plugin*> PluginList

A list of Jingle plugins.

Definition at line 52 of file jingleplugin.h.

## Enumeration Type Documentation

## Action

enum Action

Jingle Session actions.

Enumerator
ContentAccept | Accept a content-add action received from another party.
ContentAdd | Add one or more new content definitions to the session.
ContentModify | Change the directionality of media sending.
ContentReject | Reject a content-add action received from another party.
ContentRemove | Remove one or more content definitions from the session.
DescriptionInfo | Exchange information about parameters for an application type.
SecurityInfo | Send information related to establishment or maintenance of security preconditions.
SessionAccept | Definitively accept a session negotiation.
SessionInfo | Send session-level information, such as a ping or a ringing message.
SessionInitiate | Request negotiation of a new Jingle session.
SessionTerminate | End an existing session.
TransportAccept | Accept a transport-replace action received from another party.
TransportInfo | Exchange transport candidates.
TransportReject | Reject a transport-replace action received from another party.
TransportReplace | Redefine a transport method or replace it with a different method.
InvalidAction | Invalid action.

Definition at line 49 of file jinglesession.h.

## JinglePluginType

enum JinglePluginType

The type of Jingle plugin.

Enumerator
PluginNone | Invalid plugin type.
PluginContent | A plugin abstracting a <content> element. May contain further plugins.
PluginFileTransfer | A plugin for File Transfer.
PluginICEUDP | A plugin for ICE UDP transport negotiation.
PluginReason | An abstraction of a Jingle (XEP-0166) session terminate reason.
PluginUser | User-supplied plugins must use IDs above this. Do not hard-code PluginUser's value anywhere, it is subject to change.

Definition at line 37 of file jingleplugin.h.